OpenJPH: ojph::local::param_sot Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::param_sot Struct Reference

`#include <ojph_params_local.h>`

## Public Member Functions
void | init (ui32 payload_length=0, ui16 tile_idx=0, ui8 tile_part_index=0, ui8 num_tile_parts=0)
bool | write (outfile_base *file, ui32 payload_len)
bool | write (outfile_base *file, ui32 payload_len, ui8 TPsot, ui8 TNsot)
bool | read (infile_base *file, bool resilient)
ui16 | get_tile_index () const
ui32 | get_payload_length () const
ui8 | get_tile_part_index () const
ui8 | get_num_tile_parts () const

## Private Attributes
ui16 | Lsot
ui16 | Isot
ui32 | Psot
ui8 | TPsot
ui8 | TNsot

## Detailed Description

Definition at line 924 of file ojph_params_local.h.

## Member Function Documentation

## ◆ get_num_tile_parts()

ui8 ojph::local::param_sot::get_num_tile_parts | ( |  | ) | const
| inline

Definition at line 944 of file ojph_params_local.h.

References TNsot.

Referenced by ojph::local::codestream::read().

## ◆ get_payload_length()

ui32 ojph::local::param_sot::get_payload_length | ( |  | ) | const
| inline

Definition at line 942 of file ojph_params_local.h.

References Psot.

## ◆ get_tile_index()

ui16 ojph::local::param_sot::get_tile_index | ( |  | ) | const
| inline

Definition at line 941 of file ojph_params_local.h.

References Isot.

Referenced by ojph::local::codestream::read().

## ◆ get_tile_part_index()

ui8 ojph::local::param_sot::get_tile_part_index | ( |  | ) | const
| inline

Definition at line 943 of file ojph_params_local.h.

References TPsot.

Referenced by ojph::local::codestream::read().

## ◆ init()

void ojph::local::param_sot::init | ( | ui32 | payload_length = 0,
|  | ui16 | tile_idx = 0,
|  | ui8 | tile_part_index = 0,
|  | ui8 | num_tile_parts = 0 )
| inline

Definition at line 927 of file ojph_params_local.h.

References Isot, Lsot, Psot, TNsot, and TPsot.

## ◆ read()

bool ojph::local::param_sot::read | ( | infile_base * | file,
|  | bool | resilient )

Definition at line 2141 of file ojph_params.cpp.

References Isot, Lsot, OJPH_ERROR, OJPH_INFO, Psot, ojph::infile_base::read(), ojph::local::swap_byte(), TNsot, and TPsot.

Referenced by ojph::local::codestream::read().

## ◆ write() [1/2]

bool ojph::local::param_sot::write | ( | outfile_base * | file,
|  | ui32 | payload_len )

Definition at line 2096 of file ojph_params.cpp.

References Isot, Lsot, Psot, ojph::local::SOT, ojph::local::swap_byte(), TNsot, TPsot, and ojph::outfile_base::write().

## ◆ write() [2/2]

bool ojph::local::param_sot::write | ( | outfile_base * | file,
|  | ui32 | payload_len,
|  | ui8 | TPsot,
|  | ui8 | TNsot )

Definition at line 2119 of file ojph_params.cpp.

References Isot, Lsot, ojph::local::SOT, ojph::local::swap_byte(), TNsot, TPsot, and ojph::outfile_base::write().

## Member Data Documentation

## ◆ Isot

ui16 ojph::local::param_sot::Isot
| private

Definition at line 948 of file ojph_params_local.h.

Referenced by get_tile_index(), init(), read(), write(), and write().

## ◆ Lsot

ui16 ojph::local::param_sot::Lsot
| private

Definition at line 947 of file ojph_params_local.h.

Referenced by init(), read(), write(), and write().

## ◆ Psot

ui32 ojph::local::param_sot::Psot
| private

Definition at line 949 of file ojph_params_local.h.

Referenced by get_payload_length(), init(), read(), and write().

## ◆ TNsot

ui8 ojph::local::param_sot::TNsot
| private

Definition at line 951 of file ojph_params_local.h.

Referenced by get_num_tile_parts(), init(), read(), write(), and write().

## ◆ TPsot

ui8 ojph::local::param_sot::TPsot
| private

Definition at line 950 of file ojph_params_local.h.

Referenced by get_tile_part_index(), init(), read(), write(), and write().

The documentation for this struct was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/codestream/ojph_params_local.h
- /build/openjph/src/OpenJPH/src/core/codestream/ojph_params.cpp